package com.zhongzheng.modules.activity.service;

import com.zhongzheng.modules.activity.domain.ActivityTask;
import com.zhongzheng.modules.activity.vo.ActivityTaskVo;
import com.zhongzheng.modules.activity.bo.ActivityTaskQueryBo;
import com.zhongzheng.modules.activity.bo.ActivityTaskAddBo;
import com.zhongzheng.modules.activity.bo.ActivityTaskEditBo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Collection;
import java.util.List;

/**
 * 任务存储Service接口
 *
 * @author change
 * @date 2021-05-19
 */
public interface IActivityTaskService extends IService<ActivityTask> {
	/**
	 * 查询单个
	 * @return
	 */
	ActivityTaskVo queryById(Long id);

	/**
	 * 查询列表
	 */
	List<ActivityTaskVo> queryList(ActivityTaskQueryBo bo);

	/**
	 * 根据新增业务对象插入任务存储
	 * @param bo 任务存储新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ActivityTaskAddBo bo);

	/**
	 * 根据编辑业务对象修改任务存储
	 * @param bo 任务存储编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ActivityTaskEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


	/**
	 * 查询当前做的任务类型
	 * @param taskId 主键集合
	 * @return
	 */
    ActivityTaskVo queryByTaskId(Long taskId);

	List<ActivityTaskVo> querylistUser(ActivityTaskQueryBo bo);
}
